| GET | /RestApi/recycle-bin/items/types |
|---|
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Namespace Global
Namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Public Partial Class GetRecyclableType
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/types HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfGetRecyclableTypeProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto.Responses">
<GetRecyclableTypeProxy>
<Count>0</Count>
<FullName>String</FullName>
<Name>String</Name>
</GetRecyclableTypeProxy>
</ArrayOfGetRecyclableTypeProxy>